Bug 1313295 - [RFE] noVNC: Include VM name in the web page title instead of "noVNC" title.
[RFE] noVNC: Include VM name in the web page title instead of "noVNC" title.
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
3.6.3
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-4.0.0-beta
: 4.0.0
Assigned To: Sharon Gratch
Shira Maximov
virt
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 05:58 EST by Nisim Simsolo
Modified: 2016-08-15 22:01 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update, the virtual machine name is now included in the title of both noVNC and SPICE HTML5 windows. This means that it is now easier to know which virtual machine each console is connected to.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-01 08:27:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
mgoldboi: planning_ack+
rule-engine: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)
screenshot example (819.53 KB, image/png)
2016-03-01 05:59 EST, Nisim Simsolo
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 56878 master MERGED Frontend: add VM name to console title of noVNC,SPICE HTML5 2016-05-02 05:35 EDT

  None (edit)
Description Nisim Simsolo 2016-03-01 05:58:59 EST
Description of problem:
Currently, when using noVNC console option, the console page title is "noVNC".
It would be nice to have VM name in the title instead of noVNC, so the user will get an indication of which browser tab is related to which VM console.

Version-Release number of selected component (if applicable):
rhevm-3.6.3.4-0.1.el6

How reproducible:
consistently

Steps to Reproduce:
1. Browse webadmin and navigate to virtual machines tab -> select VM -> console options: set noVNC on some of the VMs.
2. Open VM console (novnc) for all VMs.
3.

Actual results:
Browser tabs of noVNC consoles are all titled with "noVNC"

Expected results:
Include VM name in web page title instead of "noVNC" title.

Additional info:
See Screenshot attached for example.
Comment 1 Nisim Simsolo 2016-03-01 05:59 EST
Created attachment 1131873 [details]
screenshot example
Comment 2 Sharon Gratch 2016-05-02 05:30:26 EDT
This issue occurs also in case of opening a console to VM using SPICE HTML5 client - the console title of SPICE HTML5 is "Spice Javascript Client" and the VM name isn't displayed.

so this bug fix should add VM name to title for both noVNC client and SPICE HTML5 client.
Comment 3 Sandro Bonazzola 2016-05-19 03:29:31 EDT
This bug is targeted to 4.1.0 but it's in modified and referenced patch in included in 4.0.0 beta1.

Please move back to assigned if the feature is not complete or re-target to 4.0.0 beta1
Comment 4 Shira Maximov 2016-07-26 09:14:39 EDT
verified on: 
Red Hat Virtualization Manager Version: 4.0.2-0.2.rc1.el7ev

verification steps: 
1. configure noVnc 

engine:
engine-config -s WebSocketProxy=Engine:6100
engine-config -s ClientModeVncDefault=NoVnc
service ovirt-engine restart
engine-setup --otopi-environment="OVESETUP_CONFIG/websocketProxyConfig=bool:True"

Webadmin:
navigate to: https://dhcp163-68.scl.lab.tlv.redhat.com/ca.crt and download certificate

local:
install novnc client (not sure about that.. check wiki if needed: http://www.ovirt.org/develop/release-management/features/virt/novnc-console/

2. edit vm console to vnc 
3. VM -> right click -> console options -> choose noVnc 
4. open console - check that the tite change to "<vm_name>- noVnc"

Note You need to log in before you can comment on or make changes to this bug.